/* ============================================================================ *
        Post Styles
    ---------------------------------------------------------------------------
        These are the styles which build all the various post types and their templates.
*/

.tmf-post.small img.thumbnail {
    max-width: 100px;
    margin-right: 10px;
    margin-bottom: 10px;
}

.tmf-post.medium img.thumbnail {
    max-width: 150px;
    margin-right: 15px;
    margin-bottom: 15px;
    margin-top: 7px;
}

.tmf-post.medium img.thumbnail.mobile {
    margin-top: 7px;
}

.tmf-post img.primary {
    float: left;
    margin-top: 5px;
    max-width: 250px;
    margin-right: 15px;
    margin-bottom: 15px;
}

.children .tmf-post.medium img.thumbnail {
    max-width: 150px;
}

/*---------Attorney----------*/
.tmf-post.attorney.small img.thumbnail {
    max-height: 123px;
    max-width: 86px;
    margin-bottom: 0;
}

.tmf-post.attorney.small .excerpt {
    color: #191919;
    font-size: 16px;
    line-height: 26px;
}

/*----------Practice Areas----------*/
.tmf-post.practice-area.small .title {
    color: #373737;
    font-size: 16px;
    font-weight: 400;
}

#footer .tmf-post.practice-area.small .title {
    color: #191919;
}

#footer .tmf-post.practice-area.small .title a {
    color: #191919;
    text-decoration: underline;
}

.tmf-post.practice-area.small .title a {
    color: #373737;
    text-decoration: underline;
}

#footer .tmf-post.practice-area.small .title a:hover,
.tmf-post.practice-area.small .title a:hover {
    text-decoration: none;
}

.tmf-post.small.practice-area .children {
    display: none;
}

/*----------Locations----------*/
.tmf-post.small.location {
    color: #191919;
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
}

.tmf-post.location.small img{
    -webkit-box-shadow: 0 0 0 2px #fff, 0 0 15px 2px rgba(0,0,0, 0.4);
    -moz-box-shadow: 0 0 0 2px #fff, 0 0 15px 2px rgba(0,0,0, 0.4);
    box-shadow: 0 0 0 2px #fff, 0 0 15px 2px rgba(0,0,0, 0.4);
}

.tmf-post.location.small .building-name {
    font-weight: 700;
}

.tmf-post.small.location .phone .label {
    background: rgba(0, 0, 0, 0) url(../images/icon_sprite_1x.png) repeat scroll 0px 2px;
    display: inline-block;
    font-size: 0;
    height: 25px;
    vertical-align: middle;
    width: 25px;
}

.tmf-post.small.location .fax .label {
    background: rgba(0, 0, 0, 0) url(../images/icon_sprite_1x.png) repeat scroll -32px 0px;
    display: inline-block;
    font-size: 0;
    height: 25px;
    vertical-align: middle;
    width: 25px;
}

.tmf-post.small.location .email .label {
    background: rgba(0, 0, 0, 0) url(../images/icon_sprite_1x.png) repeat scroll -73px 2px;
    display: inline-block;
    font-size: 0;
    height: 25px;
    vertical-align: middle;
    width: 25px;
}

.tmf-post.small.location a{
    color: #191919;
    text-decoration: none;
}

.tmf-post.small.location a:hover{
    text-decoration: underline;
}

@media screen and (max-width: 850px) {
    .tmf-post.location.small img {
        float: left;
        margin-right: 25px;
    }
}

@media screen and (max-width: 670px) {
    .tmf-post.location.small img {
        float: none;
        margin-right: 0;
    }
}

.tmf-post.location .dynamic-map{
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px;
    height: 0;
    overflow: hidden;
}

.tmf-post.location .dynamic-map iframe{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* ======================================== *
        Responsive Posts
 * ======================================== */
@media screen and (min-width: 850px) and (max-width: 1000px), screen and (max-width: 600px) {
    .tmf-post.medium.post .taxonomy-container {
        clear: both;
    }

    .tmf-post.medium.post .read-more-button {
        margin-bottom: 25px;
    }

    .tmf-post.medium.event .taxonomy-container {
        clear: both;
    }

    .tmf-post.medium.event .read-more-button {
        margin-bottom: 25px;
    }


    .tmf-post.medium.post img.primary {
        max-width: 150px;
    }

    .tmf-post.medium img.thumbnail {
        max-width: 175px;
    }

    .children .tmf-post.medium img.thumbnail {
        max-width: 125px;
    }

    .tmf-post.medium.attorney .read-more-button.top,
    .tmf-post.medium.staff .read-more-button.top {
        display: none;
    }

    .tmf-post.medium.attorney .read-more-button.bottom,
    .tmf-post.medium.staff .read-more-button.bottom {
        display: block;
        text-align: center;
    }

    .tmf-post img.primary {
        max-width: 200px;
    }

    .tmf-post.large.attorney img.primary,
    .tmf-post.large.staff img.primary {
        max-width: 250px;
    }
}


@media screen and (max-width: 600px) {
    .tmf-post.large.attorney .primary,
    .tmf-post.large.staff .primary {
        float: none;
        margin-bottom: 15px;
    }

    .tmf-post.large.attorney img.primary,
    .tmf-post.large.staff img.primary {
        max-width: 100%;
    }
}


@media screen and (max-width: 400px) {
    .tmf-post.small img.thumbnail {
        max-width: 75px;
    }

    .tmf-post.attorney.small img.thumbnail, 
    .tmf-post.staff.small img.thumbnail {
        max-width: 100%;
    }

    .tmf-post.medium img.thumbnail {
        max-width: 125px;
    }

    .children .tmf-post.medium img.thumbnail {
        max-width: 100px;
    }

    .tmf-post.medium.post img.primary {
        max-width: 100px;
    }

    .tmf-post.attorney.medium img.thumbnail, 
    .tmf-post.staff.medium img.thumbnail {
        max-width: 100%;
        float: none;
    }

    .tmf-post img.primary {
        max-width: 150px;
    }

    .tmf-post.news.small {
        width:100%;
        padding-right:1%;
        display:inline-block;
    }
}
